View Issue Details

IDProjectCategoryView StatusLast Update
0000088VitalPBX[All Projects] Bugpublic2019-07-16 15:55
ReporterlightvikAssigned Tomrivera 
PrioritynormalSeveritycrashReproducibilityhave not tried
Status closedResolutionfixed 
PlatformVitalPBXOSCentosOS Version7
Product Version2.0.0-5 
Target VersionFixed in Version2.3.4 
Summary0000088: hello i found a bug with tls certificate!
Descriptionwhen i use letsencrypt certificate it works well with webgui but not work when i use chan-sip tls.

tcp 0 0 127.0.0.1:5063 0.0.0.0:* LISTEN 1369/asterisk
tcp 0 0 127.0.0.1:5062 0.0.0.0:* LISTEN 1369/asterisk
udp 0 0 0.0.0.0:5060 0.0.0.0:* 1369/asterisk
udp 0 0 127.0.0.1:5062 0.0.0.0:* 1369/asterisk

but if i use self-signed certificate it works well.

tcp 0 0 127.0.0.1:5063 0.0.0.0:* LISTEN 1369/asterisk
tcp 0 0 0.0.0.0:5061 0.0.0.0:* LISTEN 1369/asterisk
tcp 0 0 127.0.0.1:5062 0.0.0.0:* LISTEN 1369/asterisk
udp 4864 0 0.0.0.0:5060 0.0.0.0:* 1369/asterisk
udp 0 0 127.0.0.1:5062 0.0.0.0:* 1369/asterisk
Steps To Reproducepick LE cert and chan-sip not listening, but if i will use self-signed cert - it work! . LE cert work with gui with out problem.
i try reinstall vps and problem is repeat
TagsNo tags attached.

Activities

lightvik

2018-03-27 07:23

reporter   ~0000128

if you need i can give access to my vps server with this situation!

mrivera

2018-04-17 17:18

administrator   ~0000138

Is not possible to use let's encrypt certificates to encrypt calls

lightvik

2018-04-18 15:16

reporter   ~0000140

why? in freepbx it's work!

mrivera

2019-07-16 15:54

administrator   ~0000192

In the latest versions of VitalPBX, it is possible to use let's encrypt certificates

Issue History

Date Modified Username Field Change
2018-03-27 06:54 lightvik New Issue
2018-03-27 06:54 lightvik Status new => assigned
2018-03-27 06:54 lightvik Assigned To => mrivera
2018-03-27 07:23 lightvik Note Added: 0000128
2018-04-17 17:18 mrivera Status assigned => confirmed
2018-04-17 17:18 mrivera Note Added: 0000138
2018-04-18 15:16 lightvik Note Added: 0000140
2019-07-16 15:54 mrivera Status confirmed => resolved
2019-07-16 15:54 mrivera Resolution open => fixed
2019-07-16 15:54 mrivera Fixed in Version => 2.3.4
2019-07-16 15:54 mrivera Note Added: 0000192
2019-07-16 15:55 mrivera Status resolved => closed